%define upstream_name    GDGraph
%define upstream_version 1.48

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Graph Plotting Module for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD) >= 1.180.0
BuildRequires: perl(GD::Text) >= 0.800.0
BuildRequires: perl-GD >= 1.20
BuildRequires: perl-GDTextUtil >= 0.83
BuildRequires: gd-devel
BuildArch:  noarch

Provides:   perl-GD-Graph
Obsoletes:  perl-GD-Graph

%description
This is GDGraph, a package to generate charts, using Lincoln
Stein's GD.pm. See the documentation for some history and more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
#find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
%makeinstall_std

%check
make test

%files
%doc CHANGES META.json META.yml MYMETA.yml README samples
%{perl_vendorlib}/GD/*
%{_mandir}/*/*

%changelog
* Sun Aug 04 2013 sander85 <sander85> 1.480.0-1.mga4
+ Revision: 463390
- update to 1.48

* Wed Jun 26 2013 jquelin <jquelin> 1.450.0-1.mga4
+ Revision: 446959
- update to 1.45

* Sun Jan 13 2013 umeabot <umeabot> 1.440.0-2.mga3
+ Revision: 367542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.440.0-1.mga1
+ Revision: 42021
- mageia rebuild
- imported package perl-GDGraph

